<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/BMDragCellCollectionView/BMDragCellCollectionView.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_b_m_drag_cell_collection_view_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BMDragCellCollectionView.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_b_m_drag_cell_collection_view_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#ae709bb53811434faa30df49142869d10">    1</a></span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  BMDragCellCollectionView.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//  Copyright © 2017年 https://github.com/asiosldh/BMDragCellCollectionView/ All rights reserved.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Permission is hereby granted, free of charge, to any person obtaining a copy</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//  of this software and associated documentation files (the &quot;Software&quot;), to deal</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//  in the Software without restriction, including without limitation the rights</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">//  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">//  copies of the Software, and to permit persons to whom the Software is</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">//  furnished to do so, subject to the following conditions:</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">//  The above copyright notice and this permission notice shall be included in</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//  all copies or substantial portions of the Software.</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//  THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">//  THE SOFTWARE.</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#pragma mark - UICollectionView BMDragCellCollectionViewRect</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="category_u_i_collection_view_07_b_m_drag_cell_collection_view_rect_08.html">   31</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="category_u_i_collection_view_07_b_m_drag_cell_collection_view_rect_08.html">UICollectionView (BMDragCellCollectionViewRect)</a></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;- (CGRect)bm_rectForSection:(NSInteger)section;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;- (CGRect)bm_rectForRowAtIndexPath:(NSIndexPath *)indexPath;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#pragma mark - BMDragCellCollectionViewDelegate</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="protocol_b_m_drag_cell_collection_view_delegate-p.html">   62</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_b_m_drag_cell_collection_view_delegate-p.html">BMDragCellCollectionViewDelegate</a> &lt;UICollectionViewDelegateFlowLayout&gt;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">@required</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;- (void)dragCellCollectionView:(<a class="code" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)dragCellCollectionView willMoveCellFormIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;- (void)dragCellCollectionView:(<a class="code" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)dragCellCollectionView willDeleteCellAtIndexPath:(NSIndexPath *)indexPath;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="keyword">@optional</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;- (BOOL)dragCellCollectionViewShouldBeginMove:(<a class="code" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)dragCellCollectionView indexPath:(NSIndexPath *)indexPath;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;- (BOOL)dragCellCollectionViewShouldBeginExchange:(<a class="code" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)dragCellCollectionView sourceIndexPath:(NSIndexPath *)sourceIndexPath toIndexPath:(NSIndexPath *)destinationIndexPath;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;- (void)dragCellCollectionViewDidEndDrag:(<a class="code" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)dragCellCollectionView;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160; </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;- (void)dragCellCollectionView:(<a class="code" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)dragCellCollectionView beganDragAtPoint:(CGPoint)point indexPath:(NSIndexPath *)indexPath;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160; </div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;- (void)dragCellCollectionView:(<a class="code" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)dragCellCollectionView changedDragAtPoint:(CGPoint)point indexPath:(NSIndexPath *)indexPath;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160; </div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;- (void)dragCellCollectionView:(<a class="code" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)dragCellCollectionView endedDragAtPoint:(CGPoint)point indexPath:(NSIndexPath *)indexPath;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160; </div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;- (BOOL)dragCellCollectionView:(<a class="code" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> *)dragCellCollectionView endedDragAutomaticOperationAtPoint:(CGPoint)point section:(NSInteger)section indexPath:(NSIndexPath *)indexPath;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160; </div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160; </div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="preprocessor">#pragma mark - BMDragCellCollectionView</span></div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160; </div>
<div class="line"><a name="l00162"></a><span class="lineno"><a class="line" href="interface_b_m_drag_cell_collection_view.html">  162</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a> : UICollectionView</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160; </div>
<div class="line"><a name="l00164"></a><span class="lineno"><a class="line" href="interface_b_m_drag_cell_collection_view.html#a0d195d85fc67f302f75a56ea8fad37e2">  164</a></span>&#160;<span class="keyword">@property</span> (nonatomic, weak) id&lt;BMDragCellCollectionViewDelegate&gt; delegate; </div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160; </div>
<div class="line"><a name="l00170"></a><span class="lineno"><a class="line" href="interface_b_m_drag_cell_collection_view.html#a45e8b0e914c7241c534f487fb2f677c3">  170</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) NSTimeInterval minimumPressDuration;</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160; </div>
<div class="line"><a name="l00178"></a><span class="lineno"><a class="line" href="interface_b_m_drag_cell_collection_view.html#a8fb9e550e0d0a0cbf970605714345dd1">  178</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign, getter=isCanDrag) BOOL canDrag;</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160; </div>
<div class="line"><a name="l00184"></a><span class="lineno"><a class="line" href="interface_b_m_drag_cell_collection_view.html#aa45e437c7d9d69c896b93edd9f91763f">  184</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat dragZoomScale;</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160; </div>
<div class="line"><a name="l00190"></a><span class="lineno"><a class="line" href="interface_b_m_drag_cell_collection_view.html#aea3ec1078eda3e4d73405993635bac0d">  190</a></span>&#160;<span class="keyword">@property</span> (assign, nonatomic) CGFloat dragCellAlpha;</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160; </div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;- (void)dragMoveItemToIndexPath:(NSIndexPath *)indexPath;</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160; </div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;- (void)deleteDraggingItem;</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160; </div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_b_m_drag_cell_collection_view_html"><div class="ttname"><a href="interface_b_m_drag_cell_collection_view.html">BMDragCellCollectionView</a></div><div class="ttdef"><b>Definition:</b> <a href="_b_m_drag_cell_collection_view_8h_source.html#l00162">BMDragCellCollectionView.h:163</a></div></div>
<div class="ttc" id="acategory_u_i_collection_view_07_b_m_drag_cell_collection_view_rect_08_html"><div class="ttname"><a href="category_u_i_collection_view_07_b_m_drag_cell_collection_view_rect_08.html">UICollectionView(BMDragCellCollectionViewRect)</a></div><div class="ttdef"><b>Definition:</b> <a href="_b_m_drag_cell_collection_view_8h_source.html#l00031">BMDragCellCollectionView.h:31</a></div></div>
<div class="ttc" id="aprotocol_b_m_drag_cell_collection_view_delegate-p_html"><div class="ttname"><a href="protocol_b_m_drag_cell_collection_view_delegate-p.html">BMDragCellCollectionViewDelegate-p</a></div><div class="ttdef"><b>Definition:</b> <a href="_b_m_drag_cell_collection_view_8h_source.html#l00062">BMDragCellCollectionView.h:62</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_e2ad529da33ecfa650dbc72aeffcdf9a.html">BMDragCellCollectionView</a></li><li class="navelem"><a class="el" href="_b_m_drag_cell_collection_view_8h.html">BMDragCellCollectionView.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
